%define upstream_name	 UNIVERSAL-require
%define upstream_version 0.18

# Filter bogus provide for perl(UNIVERSAL) (rpm 4.9 onwards)
%global __provides_exclude ^perl\\(UNIVERSAL\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Require modules from a variable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/UNIVERSAL/%{upstream_name}-%{upstream_version}.tar.gz

Conflicts:	    perl-UNIVERSAL-exports < 0.03-3mdk

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module creates a universal require() class method that will work with
every Perl module and is secure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%{__make} test

%install
%{makeinstall_std}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.180.0-4pclos2017
- rebuild against updates

